
(function($,Edge,compId){var Composition=Edge.Composition,Symbol=Edge.Symbol;
//Edge symbol: 'stage'
(function(symbolName){Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym,e){var gnNo=35035;
var thisMonth=1;//Jan=0, Dec=11
var thisYear=2017;
var RTL=false;
var clickEventType=('click');
var todayDate;
var nextDate;
var startDate;
var endDate;
function getToday(){
	var startMonth=thisMonth;
	var startYear=thisYear;
	var endMonth=thisMonth;
	var endYear=thisYear;
	var leap=((thisYear%4==0)&&(thisYear%100!=0)||(thisYear%400==0))?"true":"false";
	var febDays=(leap=="true")?29:28;
	var dayspm=[0,2,4,7,9];
	if(dayspm.indexOf(thisMonth)>=0){
		var endDay=(dayspm.indexOf(thisMonth)==0)?febDays:31;
	}else{
		var endDay=31;
	}
startDate=new Date(startYear,startMonth,2);
endDate=new Date(endYear,endMonth,endDay);
todayDate=new Date();
todayDate=(todayDate<startDate||todayDate>endDate)?new Date(startYear,startMonth,1):new Date();
nextDate=new Date(todayDate.getDate()+1);}
getToday();
var headline;
var mainPic=sym.$("mainImg");
var globe=sym.$("globe");
var space=sym.$("space");
var nextarrow=sym.$("arrowright");
var year;var month;
var months=[];
var day;var days;
var mm;var dd;
var yyyy;
var picturetxt;
var picture;
var numOfDays;
function newDay(){
	year=todayDate.getFullYear();
	month=todayDate.getMonth();
	day=todayDate.getDate();
	mm=(month+1<10)?"0"+(month+1):(month+1)+"";dd=(day<10)?"0"+day:day+"";yyyy=year;
} 
newDay();
function closestNum(num,arr){//finds the closes number to num
	var curr=arr[0];
	var diff=Math.abs(num-curr);
	for(var i=0;i<arr.length;i++){
	if(num<=arr[i]){
	var newdiff=Math.abs(num-arr[i]);
	if(newdiff<diff){diff=newdiff;curr=arr[i];}}}
	return curr;
}
var fontSize;
$.ajax({type:"GET",url:"GN"+gnNo+".xml",dataType:"xml",success:function(xml){
	var string=$(xml).find('monthnames').text();months=string.split(",");
	var string2=$(xml).find('daynames').text();
	days=string2.split(",");
	picturetxt=$(xml).find('picture').text();
	headline=$(xml).find('headline').text();
	sym.$("headlineTxt").html(headline+" "+months[month]);
	fontSize=$(xml).find('fontsize').text();
	sym.$("eventSumTxt").html("");
	getCalendar();
	}
});

var picNo=0;
var eventPix=[];
var eventDates=[];
var eventCount=[];
var dayPics;
var totalPics;
var xTxt;
var yTxt;
function getDay(){ 
	$.ajax({type:"GET",
	url:yyyy+"/"+mm+"/GN"+gnNo+"_"+mm+".xml",
	dataType:"xml",
	success:function(xml){ 
		sym.$("textBox").empty();
		$(".picCounter").empty();
		sym.$("dots").empty();
		sym.$("eventSumTxt").html("");
		globe.fadeIn(0);
		eventPix.length=0;
		var txtHeight;
		var thumbRowPic;
		var thumbCount=[];
		var order;
		var ddInt;
		var mmInt;
		if(todayDate<=endDate){
			$(xml).find("day").each(function(){
				var $eventdate=$(this);eventPix.push($eventdate);
				if(parseInt(dd,10)<=eventDates[eventDates.length-1]){
					var todaydd=closestNum(parseInt(dd,10),eventDates);
					dd=(todaydd<10)?"0"+todaydd:todaydd+"";day=todaydd;
					if($eventdate.attr("date")==dd+"-"+mm){
						if(picNo>0){
							var t="_"+picNo;order=picNo;
						}else{
							var t="";order=0;
						}
				var $events=$eventdate.find('event');
				$events.each(function(){
					var $event=$(this);
					thumbCount.push($event);
					if($event.attr("order")==order){
						var cap=$event.find('caption').text();
						var picCap=$event.find('picture').text();
						xTxt=$event.attr('long');
						yTxt=$event.attr('lat');
						if(RTL==true){
							var html="<div style='text-align:right; float:right; direction:rtl; font-family:pragmatica-web,sans-serif; font-size:"+fontSize+"px; padding-left:10px; padding-right:10px; padding-top:5px; padding-bottom:8px'>"+cap+" <span style='font-size:12px'> "+picCap+"</span></div>";
						}else{
							var html="<div style='float:left; font-family:pragmatica-web,sans-serif; font-size:"+fontSize+"px; padding-left:10px; padding-right:10px; padding-top:5px; padding-bottom:8px'>"+cap+" <span style='font-size:12px'> "+picCap+"</span></div>";
						}
						sym.$("textBox").append(html);
						if(yTxt==""){
							globe.fadeOut(0,function(){space.attr("src",yyyy+"/"+mm+"/globe"+mm+"_"+dd+t+".png");
							space.fadeIn(400);});
						}else{
							spinGlobe();
							space.fadeOut(0);
						}
						mainPic.stop().animate({'opacity':0.5},100,function(){
						mainPic.attr("src",yyyy+"/"+mm+"/"+mm+"_"+dd+t+".jpg");
						mainPic.stop().animate({'opacity':1.0},800);
						});
					}
				});
				ddInt=parseInt(dd,10);
				mmInt=parseInt(mm,10);
				$('#mm'+(mmInt-1)+'dd'+ddInt).addClass('dayNow');
				$('#wmm'+(mmInt-1)+'dd'+ddInt).addClass('dayNow');
				$(".dayNow").css({'color':'rgb(255,255,255)','background-color':'rgb(255,0,0)'});
				todayDate.setDate(ddInt);
			}
		}else{
			if(todayDate.getMonth()<endDate.getMonth()){
			if(todayDate.getMonth()==11){
				todayDate.setFullYear(todayDate.getFullYear());
			}
			todayDate.setMonth(todayDate.getMonth()+1);
			}else{
			todayDate.setMonth(thisMonth);
			}
			todayDate.setDate(1);
			newDay();
			getCalendar();
			}
		});
	}else{
	todayDate.setMonth(thisMonth);
	todayDate.setDate(1);newDay();
	getCalendar();
	}
var showSum=function(n){
	return function(e){
		n>=0?sym.$("eventSumTxt").html(thumbCount[n].find('subject').text()):sym.$("eventSumTxt").html("");
		e.preventDefault();
		e.stopPropagation();
		};
	};
dayPics=thumbCount.length;
for(var i=0;i<dayPics;i++){
				var orderNo=thumbCount[i].attr("order");
				var dotTxt="<div id='dd"+ddInt+"pic"+i+"' class='whitedot'>";
				sym.$("dots").append(dotTxt);
				$("#dd"+ddInt+"pic"+i).on(clickEventType,calDate(dd+"-"+mm,todayDate.getFullYear(),i));
				$("#dd"+ddInt+"pic"+i).on('mouseover', showSum(orderNo));
				$("#dd"+ddInt+"pic"+i).on('mouseout',showSum(-1));
				$("#dd"+ddInt+"pic"+i).on('touchstart',function(){$("#dd"+ddInt+"pic"+i).off('mouseover');});//disable hover with touch
}
$(".whitedot").css({'background-color':'rgb(229,229,229)','border-radius':'50%','width':'22px','height':'22px','display':'inline-block','margin-left':'5%','box-shadow':'2px 2px 3px rgba(0,0,0,0.7)','cursor':'pointer'});
$("#dd"+ddInt+"pic"+(picNo)).css({'background-color':'rgb(220,50,50)','box-shadow':'none'});
sym.$("arrowleft").unbind(clickEventType);
sym.$("arrowright").unbind(clickEventType);
if((todayDate<=startDate)&&(parseInt(dd,10)==eventDates[0])&&(picNo==0)==true){
	sym.$("arrowleft").fadeOut(0);
}else{
	sym.$("arrowleft").fadeIn(0);
}
if((parseInt(dd,10)==eventDates[eventDates.length-1])&&(picNo==(thumbCount.length-1))==true||(todayDate>=endDate&&picNo==thumbCount.length-1)){
	sym.$("arrowright").fadeOut(0);
}else{
	sym.$("arrowright").fadeIn(0);
}
if(thumbCount.length>1){
	if(picNo==0){
		sym.$("arrowleft").on(clickEventType,picChange);
	}else if(picNo>0){
		sym.$("arrowleft").on(clickEventType,eventChange);
	}
if(picNo+1<thumbCount.length){
	sym.$("arrowright").on(clickEventType,eventChange);
}else if(picNo+1==thumbCount.length){
	sym.$("arrowright").on(clickEventType,picChange);
}
}else{
	sym.$("arrowleft").on(clickEventType,picChange);
	sym.$("arrowright").on(clickEventType,picChange);
}
},error:function(){console.log("Error");
todayDate.setMonth(todayDate.getMonth()-1);
todayDate.setDate(1);getCalendar();
newDay();
},complete:function(){
initSize();
}
});
}
function getMonthf(){
	eventDates.length=0;$.ajax({
	type:"GET",url:yyyy+"/"+mm+"/GN"+gnNo+"_"+mm+".xml",dataType:"xml",success:function(xml){
		todayDate.setYear(todayDate.getFullYear());
		sym.$("headlineTxt").html(headline+" "+months[parseInt(mm,10)-1]);
		eventCount.length=0;$(xml).find("day").each(function(){
			var $eventdate=$(this);var eDate=$eventdate.attr("date");
			var ddselect=eDate.substr(0,2);
			var mmselect=eDate.substr(3,2);
			var yselect=yyyy;eventDates.push(parseInt(ddselect,10));
			$('#mm'+(parseInt(mmselect,10)-1)+'dd'+parseInt(ddselect,10)).addClass('select');
			$('#wmm'+(parseInt(mmselect,10)-1)+'dd'+parseInt(ddselect,10)).addClass('select');
			$('#mm'+(parseInt(mmselect,10)-1)+'dd'+parseInt(ddselect,10)).on(clickEventType,calDate($eventdate.attr("date"),todayDate.getFullYear(),0));
			$('#wmm'+(parseInt(mmselect,10)-1)+'dd'+parseInt(ddselect,10)).on(clickEventType,calDate($eventdate.attr("date"),todayDate.getFullYear(),0));
			var $events=$eventdate.find('event');$events.each(function(){
				var $event=$(this);var id=$event.attr('order');eventCount.push($event);
			});
		});

			$(".select").css({'font-weight':700,'color':'rgb(0,0,0)','background-color':'rgb(255,255,255)','cursor':'pointer'});
			getDay();
		//},complete:function(){initSize();
	}
});
}
var calDate=function(dateselect,yrC,thumbno){
	return function(e){
		$('.monthNow').removeClass('dayNow');
		$(".select").css({'font-weight':700,'color':'rgb(0,0,0)','background-color':'rgb(255,255,255)','cursor':'pointer'});
	sym.$("weeks").fadeOut(0);
		var dayC=parseInt(dateselect.substr(0,2),10);
		var monthC=parseInt(dateselect.substr(3,2),10)-1;
		todayDate=new Date(yrC,monthC,dayC);
		picNo=thumbno;newDay();
		getDay();
		e.preventDefault();
		e.stopPropagation();
		};
	};
var thumbsCount=0;
sym.$("arrowleft").css({'cursor':'pointer'});
sym.$("arrowright").css({'cursor':'pointer'});
function eventChange(){
	e.preventDefault();
	e.stopPropagation();
	var selected=$(this).attr("id");
	if(selected=="Stage_arrowright"){
		picNo=picNo+1;
	}else if(selected=="Stage_arrowleft"){
		picNo=picNo-1;
	}
getDay();}
function picChange(){
	e.preventDefault();
	e.stopPropagation();
	var selected=$(this).attr("id");
	var loadFunction;picNo=0;
	$('.monthNow').removeClass('dayNow');
	$(".select").css({'font-weight':700,'color':'rgb(0,0,0)','background-color':'rgb(255,255,255)','cursor':'pointer'});
	for(var i=0;i<eventDates.length;i++){
		if(eventDates[i]==day){
			if(selected=="Stage_arrowright"){
				if(i==eventDates.length-1){
					if(eventDates[i]==numOfDays){
						todayDate.setDate(todayDate.getDate()+1);
					}else{
						todayDate.setMonth(todayDate.getMonth()+1);
						todayDate.setDate(1);
						}
					loadFunction=0;
					}else{
						todayDate.setDate(eventDates[i+1]);
						loadFunction=1;
						}
						}else if(selected=="Stage_arrowleft"){
						if(i==0){todayDate.setMonth(todayDate.getMonth()-1);
							todayDate.setDate(1);
							loadFunction=0;
						}else{todayDate.setDate(eventDates[i-1]);
							loadFunction=1;
						}
					}
				}
			}
			newDay();
			if(loadFunction==0){
				getCalendar();
			}else if(loadFunction==1){
				getDay();
			}}
function getCalendar(){
	sym.getSymbol("calendar").$("calTxt").empty();
	sym.$("weeks").empty();
	var yrC=todayDate.getFullYear();
	var monthC=todayDate.getMonth();
	var leap;
if(monthC==1){
	leap=((parseInt(yrC)%4==0)&&(parseInt(yrC)%100!=0)||(parseInt(yrC)%400==0))?"true":"false";
	var febDays=(leap=="true")?29:28;}
	var daysPerMonth=["31",febDays,"31","30","31","30","31","31","30","31","30","31"];
	var firstOfMonth=new Date(yrC,monthC,1);
	var weekdays=firstOfMonth.getDay();
	var weekdays2=weekdays;numOfDays=daysPerMonth[monthC];
	var calContent="";
	var calendarBody="";
	var counter=1;
	while(counter<=numOfDays){
	calContent+="<div id='mm"+monthC+"dd"+counter+"' class='monthNow cal'>"+counter+"</div>";
	counter++;
}
calendarBody+="<div class='calendar'>";
calendarBody+=calContent;
calendarBody+="</div>";

sym.getSymbol("calendar").$("calTxt").append(calendarBody);
//build weekly calendar
		//days in previous and next months, and day of week.
		var weekContent="";
		var weekBody="";
		var counterW=1;
		while (weekdays>0){// leave blank for days of previous month
			weekContent += "<td class='monthPre'></td>";
			weekdays--;
		}
		while (counterW <= numOfDays){
			if (weekdays2 > 6){ // start new line.
				weekdays2 = 0;
				weekContent += "</tr><tr class='weekdays'>";
			}		
			weekContent +="<td id='wmm"+monthC+"dd"+counterW+"' class='monthNow'>"+counterW+"</td>";    			
			weekdays2++;
			counterW++;
		}
		weekBody +="<table class='wcalendar' width='100%'><tr class='daysOfWeek'><td>"+days[0]+"</td><td>"+days[1]+"</td><td>"+days[2]+"</td><td>"+days[3]+"</td><td>"+days[4]+"</td><td>"+days[5]+"</td><td>"+days[6]+"</td></tr>";
		weekBody += "<tr class='weekdays'>";
		weekBody += weekContent;
		weekBody += "</tr></table>";
		sym.$("weeks").append(weekBody);
//end build
$(".wcalendar").css({'width':'70%','min-width':'300px','margin':'5% auto','font-family':'pragmatica-web,arial,sans-serif','font-size':'12px','border-collapse':'collapse','text-align':'center','background-color':'rgba(255,255,255,0.7)'});
$('.weekdays').css({'height':'30px'});
$('.daysOfWeek').css({'color':'rgb(150,150,150)','font-weight':700});
$(".calendar").css({'width':'50px','font-family':'pragmatica-web,arial,sans-serif','font-size':'12px','border-collapse':'collapse','text-align':'center'});
$(".rtl").css({'transform':'scaleX(-1)','-webkit-transform':'scaleX(-1)','-ms-transform':'scaleX(-1)'});
if(RTL==true){

}else{
	$(".monthNow").css({'color':'rgb(150,150,150)','background-color':'rgba(255,255,255,0.5)'});
}
$(".cal").css({'height':'16px'});

getMonthf();
}
function spinGlobe(){
	var x=-590-(parseInt(xTxt,10)*100/72);
	var xBack=-420+(parseInt(xTxt,10)*100/72);
	var y=105-(Math.sin((yTxt)*Math.PI*0.74/180)*115);
	sym.getSymbol("globe").getSymbol("continents").$("mapFront").stop().animate({left:x},700,'easeOutCubic');
	sym.getSymbol("globe").getSymbol("continents").$("mapBack").stop().animate({left:xBack},700,'easeOutCubic');
	sym.getSymbol("globe").$("dot0").stop().animate({'top':y},700,'easeOutElastic');
	}
sym.$('arrows').on('mouseover',function(){
	sym.$('arrows').stop().animate({'opacity':1.0},200);});
	sym.$('arrows').on('mouseout',function(){
		sym.$('arrows').stop().animate({'opacity':0},200);
	});
setTimeout(function(){
	sym.$('arrows').animate({'opacity':0},200);},800);
	$(".continents").css({"-webkit-border-radius":"50%","-khtml-border-radius":"50%","-moz-border-radius":"50%","border-radius":"50%","-webkit-mask-image":"-webkit-gradient(linear, left top, right top, color-stop(0, rgba(0,0,0,1)), color-stop(1, rgba(0,0,0,1)))"});
var textWidth = 0;
var textList = 0;
function initSize(){
	var stageWidth=sym.$("Stage").width();
	sym.getSymbol("Stage").stop(stageWidth*10);
	sym.$("textBox").css({'height':'auto'});
	sym.$("eventSumTxt").css({'padding':'0px 10px'});
	var picWidth=(stageWidth<632)?stageWidth-50:stageWidth-75;
	var picHeight=(picWidth>527)?350:385*picWidth/580;
	if(stageWidth<480){
				sym.$("calBtn").fadeIn(0);
				sym.$("headlineTxt").css({"font-size":"18px","top":"65px"});
				mainPic.css({'width':'100%'});
				//sym.$("dots").css({'width':stageWidth-5+'px','top':picHeight+35+'px'});
				sym.$("dots").css({'width':stageWidth-5+'px','top':picHeight+35+'px','right':'auto','left':'0px'});
				sym.$("eventSumTxt").css({'width':stageWidth-5+'px','top':picHeight+'px'});
				sym.$("textBox").css({'width':stageWidth-space.width()+10+'px','top':picHeight+60+'px'});
				sym.$("arrows").css({'width':'100%'});
			}else{
				sym.$("calBtn").fadeOut(0);
				sym.$("headlineTxt").css({"font-size":"28px","top":"57px"});
				//sym.$("dots").css({'width':(stageWidth>530?stageWidth-170-55:stageWidth-55)+'px','top':picHeight-30+'px'});
				sym.$("dots").css({'width':(stageWidth>530?stageWidth-170-55:stageWidth-55)+'px','top':picHeight-30+'px','right':'auto','left':'0px'});
				sym.$("eventSumTxt").css({'width':(stageWidth>530?stageWidth-170-55:stageWidth-55)+'px','top':picHeight-60+'px'});
				sym.$("textBox").css({'width':stageWidth-170-55+'px','top':picHeight+'px'});
				sym.$("arrows").css({'width':picWidth+'px'});
			}
	if(stageWidth<400){
		sym.$("dots").css({'width':space.width()-20+'px','top':picHeight+35+'px','right':'5px','left':'auto'});
		sym.$("textBox").css({'width':stageWidth-space.width()+10+'px','top':picHeight+35+'px'});
		sym.$("eventSumTxt").css({'width':stageWidth-20+'px','top':picHeight+'px'});
	}
	calVis = 0;
	setStyleUpdate();
}
function setStyle(){
	var stageWidth=sym.$("Stage").width();
	sym.getSymbol("Stage").stop(stageWidth*10);
	}
function setStyleUpdate(){
	var stageWidth=sym.$("Stage").width();
	if(RTL==true){
	sym.$("textBox").css({'text-align':'right'});
	}else{
	sym.$("textBox").css({'text-align':'left'});
	}
}
var calVis = 0;
sym.$("calBtn").on('click', function(e){
	e.stopPropagation(); e.preventDefault();
	if (calVis == 0){
		sym.$("weeks").fadeIn(200);
		calVis = 1;
	}else{
		sym.$("weeks").fadeOut(200);
		calVis = 0;
	}
});
//  SWIPE
//TOUCH SWIPE CONTROLS
var swipeStartX;
var swipeEndX;
sym.$("Stage").on("touchstart", swipeStart);
sym.$("Stage").on("touchend", swipeEnd);
function swipeStart(e){	
	if ( e.pageX == undefined ) {         
   var touch = e.originalEvent.touches [0] || e.originalEvent.changedTouches [0];        
   swipeStartX = touch.pageX;
	}
}
function swipeEnd(e){
         if ( e.pageX == undefined ) {        
         	var touch = e.originalEvent.touches [0] || e.originalEvent.changedTouches [0];
         	swipeEndX = touch.pageX;
         	onSwipe();
         }
}
var swipePadding=60;
var onSwipe = function(){	
/*
if(thumbCount.length>1){
	if(picNo==0){
		sym.$("arrowleft").on(clickEventType,picChange);
	}else if(picNo>0){
		sym.$("arrowleft").on(clickEventType,eventChange);
	}
	if(picNo+1<thumbCount.length){
		sym.$("arrowright").on(clickEventType,eventChange);
	}else if(picNo+1==thumbCount.length){
		sym.$("arrowright").on(clickEventType,picChange);
	}
}else{
	sym.$("arrowleft").on(clickEventType,picChange);
	sym.$("arrowright").on(clickEventType,picChange);
}
*/
if(thumbCount.length>1){
				// swipe right (scrub to left)
         	if( swipeStartX < swipeEndX - swipePadding )
         	{
         		if(picNo==0){
         		 //picChange('back');
         		}else if(picNo>0){
         		 eventChange('back');
         		}
         		if(picNo+1==thumbCount.length){
						//picChange('back');
         		}
         		console.log(thumbCount.length + "back");
         		/*
         		todayDate.setDate(todayDate.getDate()-1);
					nextDate.setDate(todayDate.getDate()-2);
					getImages();
					hiddenPic.animate({left:0, width:0, opacity:0.2},0);
					hiddenPic.animate({width:320, opacity:1.0},500);
					mainPic.animate({left:320, width:0, opacity:0.2},500);
					*/
         	// swipe left (scrub to right)
         	}else if( swipeEndX < swipeStartX - swipePadding){
					if(picNo+1<thumbCount.length){
						eventChange('forward');
         		}else if(picNo+1==thumbCount.length){
						picChange('forward');
         		}
					/*
					todayDate.setDate(todayDate.getDate()+1);
					nextDate.setDate(todayDate.getDate()+2);
					getImages();
					hiddenPic.animate({left:320, width:0, opacity:0.2},0);
					hiddenPic.animate({left:0, width:320, opacity:1.0},500);
					mainPic.animate({left:0, width:0, opacity:0.2},500);
					*/
					console.log(thumbCount.length + "forward");
         	}
         }
         	//month = todayDate.getMonth();
				//day = todayDate.getDate();
				//mm = (month+1<10)?"0"+(month+1): (month+1)+ "";
				//dd = (day<10)?"0" + day: day + "";
				//sym.$("dateTxt").html(months[month]+" "+day);
				//changeDate();
			e.preventDefault();
}
//--------------------------------------------------------------------------------------------------------
setStyleUpdate();
//initSize();
setTimeout(initSize,300);//image size not calculated on first run
$(window).on('resize',initSize);

});
//Edge binding end 

// VIDEO BTN 1 =========================================================

// VIDEO BTN 2 =========================================================





})("stage");
   //Edge symbol end:'stage'

//=========================================================

//Edge symbol: 'handMc'
(function(symbolName){})("handMc");
   //Edge symbol end:'handMc'

//=========================================================

//Edge symbol: 'styleMc'
(function(symbolName){})("styleMc");
   //Edge symbol end:'styleMc'

//=========================================================

//Edge symbol: 'rollBtn_1'
(function(symbolName){})("rollBtn");
   //Edge symbol end:'rollBtn'

//=========================================================

//Edge symbol: 'StyleBase'
(function(symbolName){})("StyleBase");
   //Edge symbol end:'StyleBase'

//=========================================================

//Edge symbol: 'eventBtnTop'
(function(symbolName){})("eventBtnTop");
   //Edge symbol end:'eventBtnTop'

//=========================================================

//Edge symbol: 'arrowBtn'
(function(symbolName){})("arrowBtn");
   //Edge symbol end:'arrowBtn'

//=========================================================

//Edge symbol: 'picNavBtn'
(function(symbolName){})("picNavBtn");
   //Edge symbol end:'picNavBtn'

//=========================================================

//Edge symbol: 'noDateBtn'
(function(symbolName){})("noDateBtn");
   //Edge symbol end:'noDateBtn'

//=========================================================

//Edge symbol: 'thumbBtnsMc'
(function(symbolName){})("thumbBtnsMc");
   //Edge symbol end:'thumbBtnsMc'

//=========================================================

//Edge symbol: 'calendar'
(function(symbolName){})("calendar");
   //Edge symbol end:'calendar'

//=========================================================

//Edge symbol: 'globe'
(function(symbolName){})("globe");
   //Edge symbol end:'globe'

//=========================================================

//Edge symbol: 'Symbol_1'
(function(symbolName){})("continents-animation");
   //Edge symbol end:'continents-animation'

//=========================================================

//=========================================================

//Edge symbol: 'flatmap_two'
(function(symbolName){})("flatmap-two");
   //Edge symbol end:'flatmap-two'

//=========================================================

//Edge symbol: 'Down-level'
(function(symbolName){})("Down-level");
   //Edge symbol end:'Down-level'

//=========================================================

//Edge symbol: 'mainImgMc'
(function(symbolName){})("mainImgMc");
   //Edge symbol end:'mainImgMc'

//=========================================================

//Edge symbol: 'globeMc'
(function(symbolName){Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6400, function(sym,e){});
//Edge binding end
Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3200, function(sym,e){});
//Edge binding end
})("globeMc");
   //Edge symbol end:'globeMc'

//=========================================================

//Edge symbol: 'arrowsMc'
(function(symbolName){})("arrowsMc");
   //Edge symbol end:'arrowsMc'

   //=========================================================
   
   //Edge symbol: 'listBtn'
   (function(symbolName) {   
   
   })("listBtn");
   //Edge symbol end:'listBtn'

   //=========================================================
   
   //Edge symbol: 'calBtn'
   (function(symbolName) {   
   
   })("calBtn");
   //Edge symbol end:'calBtn'

})(window.jQuery || AdobeEdge.$, AdobeEdge, "GraphicNews33587");